/*
 * simplify.h - simplify GW invariants using the standard axioms
 *
 */

#ifndef __SIMPLIFY_H__
#define __SIMPLIFY_H__

#include <stdlib.h>
#include <iostream.h>
#include <assert.h>

#include "gwinv.h"
#include "compute.h"
#include "database.h"



// Try to compute an invariant using the simple standard axioms, or by
// looking it up in the database. Return UNDEFINED if this is not possible.
// The invariant need not be sorted, but it will be sorted if the function
// exits with value UNDEFINED.

rational simplify (inv&, int);

#endif

