/*
 * compute.h - the main computation function
 *
 */

#ifndef __COMPUTE_H__
#define __COMPUTE_H__

#include <stdlib.h>
#include <iostream.h>
#include <assert.h>

#include "inv.h"
#include "poly.h"
#include "simplify.h"
#include "split2.h"
#include "relsplit.h"
#include "trr.h"
#include "virasoro.h"
#include "database.h"

extern database GWdbm; // the database to store the invariants

rational compute (const inv&, int);

#endif

